class FlowerList {
    constructor() {
        this.form = document.getElementById("fSearch");
    }

    ChangePerPage(e) {
        this.form.elements["page"].value = 1;
        this.submit();
    }

    submit() {
        this.form.submit();
    }
}

const flowerList = new FlowerList();

$(document).on("change", "#perPage", (e) => flowerList.ChangePerPage(e));

$(document).on("change", "#date", (e) => flowerList.submit(e));
